import os
import warnings

import testinfra.utils.ansible_runner

warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]).get_hosts("all")


def test_telegraf_installed(host):
    pkg = host.package("telegraf")
    assert pkg.is_installed


def test_telegraf_running_and_enabled(host):
    telegraf = host.service("telegraf")
    assert telegraf.is_running
    assert telegraf.is_enabled


def test_telegraf_socket(host):
    # Verify the socket is listening for telegraf traffic
    assert host.socket("tcp://127.0.0.1:9273").is_listening
